Memcached::set
Memcached::setMulti
Memcached
PHP Manual

# Memcached::setByKey

(PECL memcached >= 0.1.0)

Memcached::setByKey — Store an item on a specific server

### Descrição

public bool Memcached::setByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::setByKey() is functionally equivalent to Memcached::set, except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parâmetros

`server_key`

  A chave identificando o servidor aonde guardar o valor.

`key`

  A chave sobre a qual guardar o valor.

`value`

  O valor para guardar.

`expiration`

  O tempo de expiração, padrão é 0. Veja Tempos de Expiração para maiores informações.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas. Use Memcached::getResultCode se necessário.

### Exemplos

Exemplo #1 Memcached::setByKey() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
/* keep IP blocks on a certain server */
$m->setByKey('api-cache', 'block-ip:169.254.253.252', 1);
$m->setByKey('api-cache', 'block-ip:169.127.127.202', 1);
?>`

### Veja Também

- Memcached::set - Store an item

Memcached::set
Memcached::setMulti
Memcached
PHP Manual